Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1606324 - sdcc: FTBFS in Fedora rawhide
Summary: sdcc: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sdcc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Kastner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1551327 F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 19:30 UTC by Mohan Boddu
Modified: 2019-01-09 12:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-21 12:29:43 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-20 19:30 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-20 19:31 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-20 19:31 UTC, Mohan Boddu
no flags Details
Fix build issues (deleted)
2018-07-21 01:30 UTC, Conrad Meyer
no flags Details | Diff

Description Mohan Boddu 2018-07-20 19:30:53 UTC
sdcc failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28233250


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix sdcc at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
sdcc will be orphaned. Before branching of Fedora 30,
sdcc will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 19:30:59 UTC
Created attachment 1467982 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 19:31:06 UTC
Created attachment 1467983 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 19:31:09 UTC
Created attachment 1467984 [details]
state.log

Comment 4 Conrad Meyer 2018-07-21 01:30:30 UTC
Created attachment 1469627 [details]
Fix build issues

For some reason I can't push to this repository, so here's a patch for someone with permissions to commit.

Comment 5 Roy Rankin 2018-07-21 12:29:43 UTC
sdcc has been updated to the latest upstream version 3.7.0 and the FTBFS resolved.
Build id=28491859 has successfully completed.


Note You need to log in before you can comment on or make changes to this bug.